package averageWithInterface;
public class Main {
	public static double average(Measurable objects[]) {
		if (objects.length == 0) { return 0; }
		double sum = 0;
		// Loops through each object in array
		for (Measurable obj : objects) {
			sum = sum + obj.getMeasure();
		}
		return sum / objects.length;
	}
	public static void main(String args[]) {
		// One way
		Measurable accounts[] = new Measurable[3];
		accounts[0] = new BankAccount("01", "Aleksandra", 100);
		accounts[1] = new BankAccount("02", "Natasha", 150);
		accounts[2] = new BankAccount("03", "Sergei", 125);
		System.out.println("Average balance is: " + average(accounts));

		// Second way
		BankAccount b1 = new BankAccount("01", "Aleksandra", 100);
		BankAccount b2 = new BankAccount("02", "Natasha", 150);
	 	BankAccount accounts2[] = {b1, b2};
		System.out.println("Average balance is: " + average(accounts2));
		
		Country c1 = new Country("ID", "Indonesia", 1904569);
		Country c2 = new Country("RU", "Russia", 17130000);
		Country ct[] = {c1, c2};
		System.out.println("Average area: " + average(ct));
		
		// Defining an interface
		Measurable x;
		//Measurable z = new Measurable(); // Error
		Measurable y = new BankAccount("01", "Aleksandra", 100);
		System.out.println("Balance of " + y + " is " + y.getMeasure());
		
		System.out.println(b1.getMeasure());
		System.out.println(c1.getMeasure());
		
		int status = 2;
		if (status == Measurable.WIN) {
			System.out.println("You win!");
		} else if (status == Measurable.DRAW) {
			System.out.println("It's a draw!");
		} else { // Measurable.LOSE
			System.out.println("You lose!");
		}
	}

}
